<?php 

    $this->pageTitle=Yii::t('profind', 'Productos');

    $this->breadcrumbs = array(
        Yii::t('profind', 'Perfil') => array('/usuario/modificar', 'id' => Yii::app()->user->id),
        Yii::t('profind', 'Productos'),
    );

    // Sidebar
    echo $this->renderPartial('//sidebars/_menu_usuario');    
    
?>

<?php Yii::app()->clientScript->registerScript('cambio_producto', '
        $(".table-comparison .btn-actualizar").click(function(e){
            $("#msj_pregunta").data("id", $(this).data("id"));
            $("#msj_pregunta .nuevo_producto").text($("#producto_" + $(this).data("id")).text());
        });

        $("#msj_pregunta .btn-cambiar").click(function(e){
            $("#Subscripcion_id_producto").val($("#msj_pregunta").data("id"));
            $("#msj_pregunta").modal("hide");
            $("#subscripcion-form").submit();
            return false;
        });'
);
?>

<div class="row-fluid">
    <div class="span12">
        <h3 class="heading"><?php echo Yii::t('profind', 'Productos'); ?></h3>
    </div>
</div>

<?php
    $form = $this->beginWidget('CActiveForm', array(
        'id' => 'subscripcion-form',
        'enableAjaxValidation' => false,
        'htmlOptions' => array(
            'class' => 'form-horizontal'
        )
    ));
?>            
<div class="row-fluid">
    <div class="span12 tac clearfix">
        <ul class="ov_boxes">
            <li>
                <div class="p_bar_up p_canvas"><img src="<?php echo Yii::app()->theme->baseUrl; ?>/images/gCons/configuration.png"></div>
                <div class="ov_text row-fluid">
                        <div class="span12">
                            <?php echo Yii::t('profind', 'Ud. Tiene ahora:'); ?>
                            <strong><?php echo $subscripcion->producto->titulo; ?></strong>
                        </div>
                    <?php echo $form->hiddenField($subscripcion, 'id_producto'); ?>
                </div>
            </li>
        </ul>
    </div>
</div>

<?php $this->endWidget(); ?>

<?php echo $this->renderPartial('_lista_productos', array('subscripcion' => $subscripcion, 'productos' => $productos)); ?>

<div id="msj_pregunta" class="modal hide fade">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h3><?php echo Yii::t('profind', 'Actualización de su subscripción'); ?></h3>
    </div>
    <div class="modal-body">
        <p><?php echo Yii::t('profind', 'Nuevo producto:'); ?>&nbsp;<strong class="nuevo_producto"></strong></p>
        <p><?php echo Yii::t('profind', '¿Desea actualizar su subscripción?'); ?></p>        
    </div>
    <div class="modal-footer">
        <a href="#" class="btn" data-dismiss="modal" aria-hidden="true"><?php echo Yii::t('profind', 'Volver'); ?></a>
        <?php echo CHtml::link(
                Yii::t('profind', 'Actualizar'), 
                $this->createUrl('modificar', array('id' => $subscripcion->id)),
                array(
                    'class' => 'btn btn-success btn-cambiar',
            ));?>
    </div>
</div>
